# RetryPolicy (dapr-sdk-parent 1.10.0 API)

Package io.dapr.internal.resiliency

## Class RetryPolicy

- java.lang.Object
- - io.dapr.internal.resiliency.RetryPolicy

    public final class RetryPolicy
    extends Object

Retry policy for SDK communication to Dapr API.

### Constructor Summary

Constructors
`RetryPolicy()`
`RetryPolicy​(Integer maxRetries)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> reactor.core.publisher.Flux<T>` `apply​(reactor.core.publisher.Flux<T> response)` Applies the retry policy to an expected Flux action.
`<T> reactor.core.publisher.Mono<T>` `apply​(reactor.core.publisher.Mono<T> response)` Applies the retry policy to an expected Mono action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryPolicy

    public RetryPolicy()

#### RetryPolicy

    public RetryPolicy​(Integer maxRetries)

### Method Detail

#### apply

    public <T> reactor.core.publisher.Mono<T> apply​(reactor.core.publisher.Mono<T> response)

Applies the retry policy to an expected Mono action.

Type Parameters:
  `T` - Type expected for the action's response
Parameters:
  `response` - Response
Returns:
  action with retry

#### apply

    public <T> reactor.core.publisher.Flux<T> apply​(reactor.core.publisher.Flux<T> response)

Applies the retry policy to an expected Flux action.

Type Parameters:
  `T` - Type expected for the action's response
Parameters:
  `response` - Response
Returns:
  action with retry